
_Main_Init:

;interface_rs232_001_16f628a.mpas,50 :: 		begin
;interface_rs232_001_16f628a.mpas,51 :: 		CMCON := 7;
	MOVLW      7
	MOVWF      CMCON+0
;interface_rs232_001_16f628a.mpas,52 :: 		INTCON := 0;
	CLRF       INTCON+0
;interface_rs232_001_16f628a.mpas,57 :: 		OPTION_REG.T0CS := 0;  // bit 5 TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;interface_rs232_001_16f628a.mpas,58 :: 		OPTION_REG.T0SE := 0;  // bit 4 TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;interface_rs232_001_16f628a.mpas,59 :: 		OPTION_REG.PSA  := 0;  // bit 3 Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BCF        OPTION_REG+0, 3
;interface_rs232_001_16f628a.mpas,60 :: 		OPTION_REG.PS2  := 1;  // bits 2-0  PS2:PS0: Prescaler Rate Select bits
	BSF        OPTION_REG+0, 2
;interface_rs232_001_16f628a.mpas,61 :: 		OPTION_REG.PS1  := 0;
	BCF        OPTION_REG+0, 1
;interface_rs232_001_16f628a.mpas,62 :: 		OPTION_REG.PS0  := 1;
	BSF        OPTION_REG+0, 0
;interface_rs232_001_16f628a.mpas,63 :: 		TMR0 := cTMR0;             // preset for timer register
	MOVLW      22
	MOVWF      TMR0+0
;interface_rs232_001_16f628a.mpas,65 :: 		TRISA      := %00000000;  // PORTA as output
	CLRF       TRISA+0
;interface_rs232_001_16f628a.mpas,66 :: 		TRISB      := %00000111;  // RB0..RB2 as input
	MOVLW      7
	MOVWF      TRISB+0
;interface_rs232_001_16f628a.mpas,67 :: 		PORTA      := 0;  // clear porta
	CLRF       PORTA+0
;interface_rs232_001_16f628a.mpas,68 :: 		PORTB      := 0;  // clear portb
	CLRF       PORTB+0
;interface_rs232_001_16f628a.mpas,71 :: 		UART1_Init(9600);
	MOVLW      25
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;interface_rs232_001_16f628a.mpas,72 :: 		Delay_ms(100);        // let UART stabilize
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Main_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init1
	NOP
	NOP
;interface_rs232_001_16f628a.mpas,74 :: 		bRxEnabled := false;  // used with TMR0
	CLRF       _bRxEnabled+0
;interface_rs232_001_16f628a.mpas,76 :: 		end;
	RETURN
; end of _Main_Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;interface_rs232_001_16f628a.mpas,79 :: 		begin
;interface_rs232_001_16f628a.mpas,80 :: 		if INTCON.T0IF then
	BTFSS      INTCON+0, 2
	GOTO       L__Interrupt4
;interface_rs232_001_16f628a.mpas,82 :: 		bIntTMR0Occured := true;
	MOVLW      255
	MOVWF      _bIntTMR0Occured+0
;interface_rs232_001_16f628a.mpas,83 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;interface_rs232_001_16f628a.mpas,84 :: 		end;
L__Interrupt4:
;interface_rs232_001_16f628a.mpas,85 :: 		end;
L__Interrupt74:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_Data_SendAll:

;interface_rs232_001_16f628a.mpas,93 :: 		begin
;interface_rs232_001_16f628a.mpas,100 :: 		Out_Data := 0;
	BCF        RA0_bit+0, 0
;interface_rs232_001_16f628a.mpas,102 :: 		Out_Clock := 0;
	BCF        RA1_bit+0, 1
;interface_rs232_001_16f628a.mpas,104 :: 		Out_Strobe := 0;
	BCF        RA2_bit+0, 2
;interface_rs232_001_16f628a.mpas,106 :: 		for iOutBlock := 5 downto 2 do
	MOVLW      5
	MOVWF      R3+0
L__Data_SendAll8:
;interface_rs232_001_16f628a.mpas,108 :: 		iDataTmp := ArrData[iOutBlock];
	DECF       R3+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrData+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R6+0
;interface_rs232_001_16f628a.mpas,110 :: 		for iOutPin := 7 downto 0 do
	MOVLW      7
	MOVWF      R4+0
L__Data_SendAll13:
;interface_rs232_001_16f628a.mpas,113 :: 		bDataTmp := TestBit(iDataTmp, 7 - iOutPin);
	MOVF       R4+0, 0
	SUBLW      7
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Data_SendAll75:
	BTFSC      STATUS+0, 2
	GOTO       L__Data_SendAll76
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Data_SendAll75
L__Data_SendAll76:
	MOVF       R0+0, 0
	ANDWF      R6+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Data_SendAll17
	MOVLW      1
	MOVWF      R1+0
L__Data_SendAll17:
	MOVF       R1+0, 0
	MOVWF      R5+0
;interface_rs232_001_16f628a.mpas,114 :: 		if bClearAll then
	MOVF       _bClearAll+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Data_SendAll19
;interface_rs232_001_16f628a.mpas,115 :: 		Out_Data := 0
	BCF        RA0_bit+0, 0
	GOTO       L__Data_SendAll20
;interface_rs232_001_16f628a.mpas,116 :: 		else
L__Data_SendAll19:
;interface_rs232_001_16f628a.mpas,119 :: 		if bDataTmp then
	MOVF       R5+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Data_SendAll22
;interface_rs232_001_16f628a.mpas,120 :: 		Out_Data := 1
	BSF        RA0_bit+0, 0
	GOTO       L__Data_SendAll23
;interface_rs232_001_16f628a.mpas,121 :: 		else
L__Data_SendAll22:
;interface_rs232_001_16f628a.mpas,122 :: 		Out_Data := 0;
	BCF        RA0_bit+0, 0
L__Data_SendAll23:
;interface_rs232_001_16f628a.mpas,123 :: 		end;
L__Data_SendAll20:
;interface_rs232_001_16f628a.mpas,124 :: 		Delay_us(cTxDelay);
	MOVLW      3
	MOVWF      R13+0
L__Data_SendAll24:
	DECFSZ     R13+0, 1
	GOTO       L__Data_SendAll24
;interface_rs232_001_16f628a.mpas,125 :: 		Out_Clock := 1;          // clock high
	BSF        RA1_bit+0, 1
;interface_rs232_001_16f628a.mpas,126 :: 		Delay_us(cTxDelay);
	MOVLW      3
	MOVWF      R13+0
L__Data_SendAll25:
	DECFSZ     R13+0, 1
	GOTO       L__Data_SendAll25
;interface_rs232_001_16f628a.mpas,127 :: 		Out_Clock := 0;          // clock low
	BCF        RA1_bit+0, 1
;interface_rs232_001_16f628a.mpas,128 :: 		Delay_us(cTxDelay);
	MOVLW      3
	MOVWF      R13+0
L__Data_SendAll26:
	DECFSZ     R13+0, 1
	GOTO       L__Data_SendAll26
;interface_rs232_001_16f628a.mpas,129 :: 		end;
	MOVF       R4+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Data_SendAll16
	DECF       R4+0, 1
	GOTO       L__Data_SendAll13
L__Data_SendAll16:
;interface_rs232_001_16f628a.mpas,130 :: 		end;
	MOVF       R3+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L__Data_SendAll11
	DECF       R3+0, 1
	GOTO       L__Data_SendAll8
L__Data_SendAll11:
;interface_rs232_001_16f628a.mpas,132 :: 		Out_Strobe := 1;
	BSF        RA2_bit+0, 2
;interface_rs232_001_16f628a.mpas,134 :: 		Out_Data := 0;
	BCF        RA0_bit+0, 0
;interface_rs232_001_16f628a.mpas,135 :: 		Delay_us(cTxDelay);
	MOVLW      3
	MOVWF      R13+0
L__Data_SendAll27:
	DECFSZ     R13+0, 1
	GOTO       L__Data_SendAll27
;interface_rs232_001_16f628a.mpas,136 :: 		end;
	RETURN
; end of _Data_SendAll

_Data_Reset:

;interface_rs232_001_16f628a.mpas,141 :: 		begin
;interface_rs232_001_16f628a.mpas,142 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;interface_rs232_001_16f628a.mpas,143 :: 		bClearAll := true;
	MOVLW      255
	MOVWF      _bClearAll+0
;interface_rs232_001_16f628a.mpas,144 :: 		ArrData[1] := $00;
	CLRF       _ArrData+0
;interface_rs232_001_16f628a.mpas,145 :: 		ArrData[2] := $00;  // outputs 1..8 off
	CLRF       _ArrData+1
;interface_rs232_001_16f628a.mpas,146 :: 		ArrData[3] := $00;  // outputs 9..16 off
	CLRF       _ArrData+2
;interface_rs232_001_16f628a.mpas,147 :: 		ArrData[4] := $00;  // outputs 17..24 off
	CLRF       _ArrData+3
;interface_rs232_001_16f628a.mpas,148 :: 		ArrData[5] := $00;  // outputs 25..32 off
	CLRF       _ArrData+4
;interface_rs232_001_16f628a.mpas,149 :: 		if bSend then
	MOVF       FARG_Data_Reset_bSend+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Data_Reset30
;interface_rs232_001_16f628a.mpas,150 :: 		Data_SendAll;
	CALL       _Data_SendAll+0
L__Data_Reset30:
;interface_rs232_001_16f628a.mpas,151 :: 		end;
	RETURN
; end of _Data_Reset

_Int_Enable:

;interface_rs232_001_16f628a.mpas,154 :: 		begin
;interface_rs232_001_16f628a.mpas,155 :: 		TMR0 := cTMR0;     // preset for timer register
	MOVLW      22
	MOVWF      TMR0+0
;interface_rs232_001_16f628a.mpas,156 :: 		INTCON.GIE := 1;   // int only used for TMR0
	BSF        INTCON+0, 7
;interface_rs232_001_16f628a.mpas,157 :: 		INTCON.T0IE := 1;
	BSF        INTCON+0, 5
;interface_rs232_001_16f628a.mpas,158 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;interface_rs232_001_16f628a.mpas,159 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;interface_rs232_001_16f628a.mpas,160 :: 		bRxTimeWinOpened := true;
	MOVLW      255
	MOVWF      _bRxTimeWinOpened+0
;interface_rs232_001_16f628a.mpas,161 :: 		Out_Int := 1;      // just for test / control
	BSF        RA3_bit+0, 3
;interface_rs232_001_16f628a.mpas,162 :: 		end;
	RETURN
; end of _Int_Enable

_Int_Disable:

;interface_rs232_001_16f628a.mpas,165 :: 		begin
;interface_rs232_001_16f628a.mpas,166 :: 		INTCON.T0IE := 0;
	BCF        INTCON+0, 5
;interface_rs232_001_16f628a.mpas,167 :: 		INTCON.GIE := 0;   // int only used for TMR0
	BCF        INTCON+0, 7
;interface_rs232_001_16f628a.mpas,168 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;interface_rs232_001_16f628a.mpas,169 :: 		bRxTimeWinOpened := false;
	CLRF       _bRxTimeWinOpened+0
;interface_rs232_001_16f628a.mpas,170 :: 		Out_Int := 0;      // just for test / control
	BCF        RA3_bit+0, 3
;interface_rs232_001_16f628a.mpas,171 :: 		end;
	RETURN
; end of _Int_Disable

_Welcome:

;interface_rs232_001_16f628a.mpas,176 :: 		begin
;interface_rs232_001_16f628a.mpas,177 :: 		portA := $FF;
	MOVLW      255
	MOVWF      PORTA+0
;interface_rs232_001_16f628a.mpas,178 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Welcome35:
	DECFSZ     R13+0, 1
	GOTO       L__Welcome35
	DECFSZ     R12+0, 1
	GOTO       L__Welcome35
	DECFSZ     R11+0, 1
	GOTO       L__Welcome35
	NOP
;interface_rs232_001_16f628a.mpas,179 :: 		portA := $00;
	CLRF       PORTA+0
;interface_rs232_001_16f628a.mpas,180 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Welcome36:
	DECFSZ     R13+0, 1
	GOTO       L__Welcome36
	DECFSZ     R12+0, 1
	GOTO       L__Welcome36
	DECFSZ     R11+0, 1
	GOTO       L__Welcome36
	NOP
;interface_rs232_001_16f628a.mpas,181 :: 		portA := $FF;
	MOVLW      255
	MOVWF      PORTA+0
;interface_rs232_001_16f628a.mpas,182 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Welcome37:
	DECFSZ     R13+0, 1
	GOTO       L__Welcome37
	DECFSZ     R12+0, 1
	GOTO       L__Welcome37
	DECFSZ     R11+0, 1
	GOTO       L__Welcome37
	NOP
;interface_rs232_001_16f628a.mpas,183 :: 		portA := $00;
	CLRF       PORTA+0
;interface_rs232_001_16f628a.mpas,184 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Welcome38:
	DECFSZ     R13+0, 1
	GOTO       L__Welcome38
	DECFSZ     R12+0, 1
	GOTO       L__Welcome38
	DECFSZ     R11+0, 1
	GOTO       L__Welcome38
	NOP
;interface_rs232_001_16f628a.mpas,186 :: 		for i := 1 to 8 do
	MOVLW      1
	MOVWF      R1+0
L__Welcome40:
;interface_rs232_001_16f628a.mpas,188 :: 		Out_Data := Out_Data xor 1;
	MOVLW      1
	XORWF      RA0_bit+0, 1
;interface_rs232_001_16f628a.mpas,189 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Welcome44:
	DECFSZ     R13+0, 1
	GOTO       L__Welcome44
	DECFSZ     R12+0, 1
	GOTO       L__Welcome44
	NOP
	NOP
;interface_rs232_001_16f628a.mpas,190 :: 		end;
	MOVF       R1+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__Welcome43
	INCF       R1+0, 1
	GOTO       L__Welcome40
L__Welcome43:
;interface_rs232_001_16f628a.mpas,191 :: 		end;
	RETURN
; end of _Welcome

_Run_Debug:

;interface_rs232_001_16f628a.mpas,194 :: 		begin
;interface_rs232_001_16f628a.mpas,195 :: 		ArrData[5] := $00;
	CLRF       _ArrData+4
;interface_rs232_001_16f628a.mpas,196 :: 		ArrData[2] := $FF;
	MOVLW      255
	MOVWF      _ArrData+1
;interface_rs232_001_16f628a.mpas,197 :: 		Data_SendAll;
	CALL       _Data_SendAll+0
;interface_rs232_001_16f628a.mpas,198 :: 		Delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Run_Debug46:
	DECFSZ     R13+0, 1
	GOTO       L__Run_Debug46
	DECFSZ     R12+0, 1
	GOTO       L__Run_Debug46
	DECFSZ     R11+0, 1
	GOTO       L__Run_Debug46
	NOP
	NOP
;interface_rs232_001_16f628a.mpas,199 :: 		ArrData[2] := $00;
	CLRF       _ArrData+1
;interface_rs232_001_16f628a.mpas,200 :: 		ArrData[3] := $FF;
	MOVLW      255
	MOVWF      _ArrData+2
;interface_rs232_001_16f628a.mpas,201 :: 		Data_SendAll;
	CALL       _Data_SendAll+0
;interface_rs232_001_16f628a.mpas,202 :: 		Delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Run_Debug47:
	DECFSZ     R13+0, 1
	GOTO       L__Run_Debug47
	DECFSZ     R12+0, 1
	GOTO       L__Run_Debug47
	DECFSZ     R11+0, 1
	GOTO       L__Run_Debug47
	NOP
	NOP
;interface_rs232_001_16f628a.mpas,203 :: 		ArrData[3] := $00;
	CLRF       _ArrData+2
;interface_rs232_001_16f628a.mpas,204 :: 		ArrData[4] := $FF;
	MOVLW      255
	MOVWF      _ArrData+3
;interface_rs232_001_16f628a.mpas,205 :: 		Data_SendAll;
	CALL       _Data_SendAll+0
;interface_rs232_001_16f628a.mpas,206 :: 		Delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Run_Debug48:
	DECFSZ     R13+0, 1
	GOTO       L__Run_Debug48
	DECFSZ     R12+0, 1
	GOTO       L__Run_Debug48
	DECFSZ     R11+0, 1
	GOTO       L__Run_Debug48
	NOP
	NOP
;interface_rs232_001_16f628a.mpas,207 :: 		ArrData[4] := $00;
	CLRF       _ArrData+3
;interface_rs232_001_16f628a.mpas,208 :: 		ArrData[5] := $FF;
	MOVLW      255
	MOVWF      _ArrData+4
;interface_rs232_001_16f628a.mpas,209 :: 		Data_SendAll;
	CALL       _Data_SendAll+0
;interface_rs232_001_16f628a.mpas,210 :: 		Delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Run_Debug49:
	DECFSZ     R13+0, 1
	GOTO       L__Run_Debug49
	DECFSZ     R12+0, 1
	GOTO       L__Run_Debug49
	DECFSZ     R11+0, 1
	GOTO       L__Run_Debug49
	NOP
	NOP
;interface_rs232_001_16f628a.mpas,211 :: 		end;
	RETURN
; end of _Run_Debug

_main:

;interface_rs232_001_16f628a.mpas,214 :: 		begin
;interface_rs232_001_16f628a.mpas,215 :: 		Main_Init;
	CALL       _Main_Init+0
;interface_rs232_001_16f628a.mpas,217 :: 		Data_Reset(true);
	MOVLW      255
	MOVWF      FARG_Data_Reset_bSend+0
	CALL       _Data_Reset+0
;interface_rs232_001_16f628a.mpas,218 :: 		bClearAll := false;
	CLRF       _bClearAll+0
;interface_rs232_001_16f628a.mpas,219 :: 		while true do
L__main52:
;interface_rs232_001_16f628a.mpas,224 :: 		if bIntTMR0Occured then  // TMR0
	MOVF       _bIntTMR0Occured+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main57
;interface_rs232_001_16f628a.mpas,226 :: 		Int_Disable;    // will be re-enabled on next received byte
	CALL       _Int_Disable+0
;interface_rs232_001_16f628a.mpas,227 :: 		bIntTMR0Occured := false;
	CLRF       _bIntTMR0Occured+0
;interface_rs232_001_16f628a.mpas,228 :: 		end;
L__main57:
;interface_rs232_001_16f628a.mpas,230 :: 		if UART1_Data_Ready() = 1 then
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main60
;interface_rs232_001_16f628a.mpas,234 :: 		RxData := UART1_Read;
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _RxData+0
;interface_rs232_001_16f628a.mpas,237 :: 		if ((iRxByteCount = 0) and (RxData <> $02)) then continue;
	MOVF       _iRxByteCount+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R2+0
	MOVF       R0+0, 0
	XORLW      2
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R2+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__main63
	GOTO       L__main52
L__main63:
;interface_rs232_001_16f628a.mpas,240 :: 		if ((iRxByteCount = 0) and (RxData = $02) and (not bRxTimeWinOpened)) then
	MOVF       _iRxByteCount+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _RxData+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	COMF       _bRxTimeWinOpened+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main66
;interface_rs232_001_16f628a.mpas,241 :: 		Int_Enable;
	CALL       _Int_Enable+0
L__main66:
;interface_rs232_001_16f628a.mpas,251 :: 		and ((In_RxEnableRequired and In_RxEnable)
	CLRF       R1+0
	BTFSC      RB2_bit+0, 2
	INCF       R1+0, 1
	CLRF       R0+0
	BTFSC      RB0_bit+0, 0
	INCF       R0+0, 1
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;interface_rs232_001_16f628a.mpas,252 :: 		or (not In_RxEnableRequired))); // enabling signal on RS232 control line
	BTFSC      RB2_bit+0, 2
	GOTO       L__main77
	BSF        3, 0
	GOTO       L__main78
L__main77:
	BCF        3, 0
L__main78:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	MOVF       _bRxTimeWinOpened+0, 0
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _bRxEnabled+0
;interface_rs232_001_16f628a.mpas,256 :: 		if bRxEnabled then    // incoming data accepted
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main69
;interface_rs232_001_16f628a.mpas,260 :: 		iRxByteCount := iRxByteCount + 1;
	INCF       _iRxByteCount+0, 1
;interface_rs232_001_16f628a.mpas,261 :: 		ArrData[iRxByteCount] := RxData;
	DECF       _iRxByteCount+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrData+0
	MOVWF      FSR
	MOVF       _RxData+0, 0
	MOVWF      INDF+0
;interface_rs232_001_16f628a.mpas,264 :: 		if (ArrData[1] = $02) and (iRxByteCount >= 5) then
	MOVF       _ArrData+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVLW      5
	SUBWF      _iRxByteCount+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main72
;interface_rs232_001_16f628a.mpas,266 :: 		bClearAll := false;
	CLRF       _bClearAll+0
;interface_rs232_001_16f628a.mpas,268 :: 		Data_SendAll;
	CALL       _Data_SendAll+0
;interface_rs232_001_16f628a.mpas,269 :: 		end;
L__main72:
;interface_rs232_001_16f628a.mpas,271 :: 		end
	GOTO       L__main70
;interface_rs232_001_16f628a.mpas,272 :: 		else
L__main69:
;interface_rs232_001_16f628a.mpas,274 :: 		Data_Reset(false);
	CLRF       FARG_Data_Reset_bSend+0
	CALL       _Data_Reset+0
;interface_rs232_001_16f628a.mpas,275 :: 		end;
L__main70:
;interface_rs232_001_16f628a.mpas,276 :: 		end;
L__main60:
;interface_rs232_001_16f628a.mpas,278 :: 		end;
	GOTO       L__main52
;interface_rs232_001_16f628a.mpas,279 :: 		end.
	GOTO       $+0
; end of _main
